globals 
[ 
  learning-days zone-size L epsilon
  st-a-xcor st-a-ycor st-b-xcor st-b-ycor
  hw-westend-xcor hw-eastend-xcor
  v-walk v-bicycle v-car v-train v-car-highway v-min-car
  f-walk f-bicycle f-car f-train 
  p-remove c-remove c-bikelot c-parking c-train-fare c-gass eta-t 
  d0 f-max-congestion eta-congestion eta-r
  alpha gamma days area number-of-candidate candidate-list
  size-of-home days-of-habitation-selection count-of-moving
  center-of-house-xcor center-of-house-ycor sd-of-house-xcor sd-of-house-ycor
  habitation-selection-flag candidate-i 
  facility-xcor facility-ycor
  ratio-walk ratio-bike ratio-train ratio-car
  bst-impact-dist
]


turtles-own 
[
  house-xcor house-ycor destination-xcor destination-ycor 
  linked-trip-number vlist step arrival-to-destination 
  train-flag bikelot-flag parking-flag
  removal-flag arrival-to-office
  t-total t-walk t-bicycle t-car t-train f-congestion bustle-degree
  start-time-list
  cost c-money c-time c-fatigue house-prediction-cost house-prediction-cost-list
  house-candidate-xcor house-candidate-ycor min-prediction-cost-number
  moving-candidate
  my-t-type
  dist-car
  my-velocity
  my-arrival-flag
  my-dest-xcor my-dest-ycor
  my-parking-xcor my-parking-ycor
  my-bikelot-xcor my-bikelot-ycor
  my-car-moving
  temp-t-total-list final-t-total
  t-around-f
]


breed [people person]
breed [bikelots bikelot]
breed [parkings parking]


to setup
  clear-all
  setup-parameters
  setup-patches
  setup-turtles
  reset-ticks
end


to setup-parameters
  set zone-size 8
  set L 40
  set epsilon 0.7
  set alpha 0.5
  set gamma 0.94
  
  set v-walk 2 / 3
  set v-bicycle 2 * *v-bike
  set v-train (L / 7 + 3.5)
  set v-car 4
  set v-car-highway 10
  
  set c-remove 3000
  set p-remove 0.5
  set eta-t 50
  set c-bikelot 150
  set c-parking 800
  set c-train-fare L * 4
  set c-gass 1.5
  
  set f-walk 180
  set f-bicycle 420 * *f-bike
  set f-car 60
  set f-train 60
  set d0 1
  set bst-impact-dist 5
  
  set eta-r 150
  set size-of-home 0.014
  set area 1
  
  set days-of-habitation-selection d-habit
  set number-of-candidate n-candi
end


to setup-patches
  set st-a-xcor -1 * L / 2
  set st-a-ycor 0
  set st-b-xcor L / 2
  set st-b-ycor 0
  set hw-westend-xcor -1 * max-pxcor
  set hw-eastend-xcor max-pxcor
  
  if f-location = "B" [
    set facility-xcor st-b-xcor + 20
    set facility-ycor hw-ycor
  ]
  if f-location = "C" [
    set facility-xcor st-b-xcor + 5
    set facility-ycor st-b-ycor - 20
  ]
  if f-location = "D" [
    set facility-xcor st-b-xcor
    set facility-ycor st-b-ycor
  ]
    if f-location = "E" [
    set facility-xcor st-b-xcor + 5
    set facility-ycor st-b-ycor - 5
  ]
    if f-location = "free" [ 
    set facility-xcor st-b-xcor + f-xcor
    set facility-ycor st-b-ycor + f-ycor
  ]
  
  ask patches with[(pxcor >= st-a-xcor) and (pxcor <= st-b-xcor) and ( pycor = st-a-ycor)] [set pcolor 12]
  ask patch st-a-xcor st-a-ycor [set pcolor red]
  ask patch st-b-xcor st-b-ycor [set pcolor red]
  
  ask patch facility-xcor facility-ycor [set pcolor red]
  ask patches with[(pxcor >= hw-westend-xcor) and (pxcor <= hw-eastend-xcor) and ( pycor = hw-ycor)] [set pcolor 52]
  
end


to setup-turtles
  set-default-shape people "person"
  set-default-shape bikelots "circle"
  set-default-shape parkings "circle"
  
  let zone-size-s zone-size * d-size

  create-people n-people [
    set color white
    set size 1
    ]
    if people-fig = "invisible" [
    ask people [hide-turtle] 
    ]
  
  ask people [
    set house-xcor (limited-random-xcor st-a-xcor zone-size-s)
    set house-ycor (limited-random-ycor st-a-ycor zone-size-s)
    set destination-xcor (limited-random-xcor st-b-xcor zone-size-s)
    set destination-ycor (limited-random-ycor st-b-ycor zone-size-s)
    set linked-trip-number random 8

    setxy house-xcor house-ycor
    set start-time-list n-values 20 [0]
    set t-walk 0
    set t-car 0
    set t-train 0

    ask patch house-xcor house-ycor [set pcolor green]
    ask patch destination-xcor destination-ycor [set pcolor blue]
    set vlist n-values 8 [-99999999]
    set house-candidate-xcor n-values number-of-candidate [0]
    set house-candidate-ycor n-values number-of-candidate [0]
  ]
  

  create-bikelots n-people [set color pink]
  ask bikelots [
    setxy (limited-random-xcor st-b-xcor zone-size-s) (limited-random-ycor st-b-ycor zone-size-s)
    hide-turtle
  ]
  if mode-p = "normal-dist" [
    create-parkings n-people [set color yellow]
    ask parkings [
      setxy (limited-random-xcor st-b-xcor zone-size-s) (limited-random-ycor st-b-ycor zone-size-s)
      hide-turtle
    ]
  ]
  if mode-p = "park&walk" [
    create-parkings 10 [set color yellow]
    layout-circle parkings p-distance
    ask parkings [
      set xcor xcor + 20
    ]
  ]
end


to-report limited-random-xcor [m d]
  report max(list (-1 * max-pxcor) min(list max-pxcor random-normal m d))
end


to-report limited-random-ycor [m d]
  report max(list (-1 * max-pycor) min(list max-pycor random-normal m d))
end


to go
  if count-of-moving >= n-moving [stop]
  linked-trip-of-people
  habitation-selection
  tick
end

to linked-trip-of-people
  if days < days-of-habitation-selection [
    ask people [
      linked-trip "no-house-search"
    ]
    arrival-to-office-check
    arrival-check "no-house-search"
    let ltn0 count people with [linked-trip-number = 0]
    let ltn1 count people with [linked-trip-number = 1]
    let ltn2 count people with [linked-trip-number = 2]
    let ltn3 count people with [linked-trip-number = 3]
    let ltn4 count people with [linked-trip-number = 4]
    let ltn5 count people with [linked-trip-number = 5]
    let ltn6 count people with [linked-trip-number = 6]
    let ltn7 count people with [linked-trip-number = 7]
    set ratio-walk (ltn2) / n-people
    set ratio-bike (ltn4 + ltn6) / n-people
    set ratio-train (ltn0 + ltn1 + ltn7) / n-people
    set ratio-car (ltn3 + ltn5) / n-people
  ]
end


to linked-trip [house-search]

  if mode-f = "no-facility" [
    if linked-trip-number = 0 [ 
      if step = 0 [unlinked-trip "bicycle" v-bicycle st-a-xcor st-a-ycor 0 1 0 0 0 0]
      if step = 1 [unlinked-trip "train" v-train st-b-xcor st-b-ycor 1 0 0 0 0 0]
      if step = 2 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 3 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "walk" v-walk st-b-xcor st-b-ycor 0 0 0 0 0 1]
      if step = 5 [unlinked-trip "train" v-train st-a-xcor st-a-ycor 0 1 0 0 0 1]
      if step = 6 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 0 0 3] 
    ]
  
    if linked-trip-number = 1 [ 
      if step = 0 [unlinked-trip "bicycle" v-bicycle st-a-xcor st-a-ycor 0 0 0 0 1 0]
      if step = 1 [unlinked-trip "train" v-train st-b-xcor st-b-ycor 1 0 0 0 0 0]
      if step = 2 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 3 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "walk" v-walk st-b-xcor st-b-ycor 0 0 0 0 0 1]
      if step = 5 [unlinked-trip "train" v-train st-a-xcor st-a-ycor 1 0 0 0 0 1]
      if step = 6 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 0 0 3]
    ]
    
    if linked-trip-number = 2 [ 
      if step = 0 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 1 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 2 [unlinked-trip "walk" v-walk house-xcor house-ycor 0 0 0 0 0 3]
    ]
  
    if linked-trip-number = 3 [ 
      let closest min-one-of parkings [distancexy [destination-xcor] of myself [destination-ycor] of myself]
      set my-parking-xcor [xcor] of closest
      set my-parking-ycor [ycor] of closest
      if step = 0 [unlinked-trip "car" v-car my-parking-xcor my-parking-ycor 0 0 1 1 0 0]
      if step = 1 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 2 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 3 [unlinked-trip "walk" v-walk my-parking-xcor my-parking-ycor 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "car" v-car house-xcor house-ycor 0 0 0 1 0 3]
      let dist-car-3-0 ((my-parking-xcor - house-xcor) ^ 2 + (my-parking-ycor - house-ycor) ^ 2) ^ 0.5
      let dist-car-3-4 ((house-xcor - my-parking-xcor) ^ 2 + (house-ycor - my-parking-ycor) ^ 2) ^ 0.5
      set dist-car dist-car-3-0 + dist-car-3-4
    ] 
  
    if linked-trip-number = 4 [
      let closest min-one-of bikelots [distancexy [destination-xcor] of myself [destination-ycor] of myself]
      set my-bikelot-xcor [xcor] of closest
      set my-bikelot-ycor [ycor] of closest
      if step = 0 [unlinked-trip "bicycle" v-bicycle my-bikelot-xcor my-bikelot-ycor 0 1 0 0 0 0]
      if step = 1 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 2 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 3 [unlinked-trip "walk" v-walk my-bikelot-xcor my-bikelot-ycor 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 0 0 3]
    ]
  
    if linked-trip-number = 5 [ 
      let closest min-one-of parkings [distancexy [destination-xcor] of myself [destination-ycor] of myself]
      set my-parking-xcor [xcor] of closest
      set my-parking-ycor [ycor] of closest
      if step = 0 [unlinked-trip "car" v-car house-xcor hw-ycor 0 0 0 1 0 0]
      if step = 1 [unlinked-trip "car-hi" v-car-highway my-parking-xcor hw-ycor 0 0 0 2 0 0]
      if step = 2 [unlinked-trip "car" v-car my-parking-xcor my-parking-ycor 0 0 1 1 0 0]
      if step = 3 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 4 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 5 [unlinked-trip "walk" v-walk my-parking-xcor my-parking-ycor 0 0 0 0 0 1]
      if step = 6 [unlinked-trip "car" v-car my-parking-xcor hw-ycor 0 0 0 1 0 1]
      if step = 7 [unlinked-trip "car-hi" v-car-highway house-xcor hw-ycor 0 0 0 2 0 1]
      if step = 8 [unlinked-trip "car" v-car house-xcor house-ycor 0 0 0 1 0 3]
      let dist-car-5-0 ((house-xcor - house-xcor) ^ 2 + (hw-ycor - house-ycor) ^ 2) ^ 0.5
      let dist-car-5-1 ((my-parking-xcor - house-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
      let dist-car-5-2 ((my-parking-xcor - my-parking-xcor) ^ 2 + (my-parking-ycor - hw-ycor) ^ 2) ^ 0.5
      let dist-car-5-6 ((my-parking-xcor - my-parking-xcor) ^ 2 + (hw-ycor - my-parking-ycor) ^ 2) ^ 0.5
      let dist-car-5-7 ((house-xcor - my-parking-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
      let dist-car-5-8 ((house-xcor - house-xcor) ^ 2 + (house-ycor - hw-ycor) ^ 2) ^ 0.5
      set dist-car dist-car-5-0 + dist-car-5-1 + dist-car-5-2 + dist-car-5-6 + dist-car-5-7 + dist-car-5-8
    ] 
  
    if linked-trip-number = 6 [
      if step = 0 [unlinked-trip "bicycle" v-bicycle destination-xcor destination-ycor 0 0 0 0 1 0]
      if step = 1 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 2 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 0 0 3]
    ]
  
    if linked-trip-number = 7 [
      if step = 0 [unlinked-trip "walk" v-walk st-a-xcor st-a-ycor 0 0 0 0 0 0]
      if step = 1 [unlinked-trip "train" v-train st-b-xcor st-b-ycor 1 0 0 0 0 0]
      if step = 2 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 3 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "walk" v-walk st-b-xcor st-b-ycor 0 0 0 0 0 1]
      if step = 5 [unlinked-trip "train" v-train st-a-xcor st-a-ycor 1 0 0 0 0 1]
      if step = 6 [unlinked-trip "walk" v-walk house-xcor house-ycor 0 0 0 0 0 3]          
    ]
  ]
  
  if mode-f = "facility" [ 
    if linked-trip-number = 0 [ 
      if step = 0 [unlinked-trip "bicycle" v-bicycle st-a-xcor st-a-ycor 0 1 0 0 0 0]
      if step = 1 [unlinked-trip "train" v-train st-b-xcor st-b-ycor 1 0 0 0 0 0]
      if step = 2 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 3 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "walk" v-walk facility-xcor facility-ycor 0 0 0 3 0 1]  
      if step = 5 [unlinked-trip "walk" v-walk st-b-xcor st-b-ycor 0 0 0 3 0 2]
      if step = 6 [unlinked-trip "train" v-train st-a-xcor st-a-ycor 1 0 0 0 0 2]
      if step = 7 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 0 0 3]
    ]
  
    if linked-trip-number = 1 [ 
      if step = 0 [unlinked-trip "bicycle" v-bicycle st-a-xcor st-a-ycor 0 0 0 0 1 0]
      if step = 1 [unlinked-trip "train" v-train st-b-xcor st-b-ycor 1 0 0 0 0 0]
      if step = 2 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 3 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "walk" v-walk facility-xcor facility-ycor 0 0 0 3 0 1]  
      if step = 5 [unlinked-trip "walk" v-walk st-b-xcor st-b-ycor 0 0 0 3 0 2]
      if step = 6 [unlinked-trip "train" v-train st-a-xcor st-a-ycor 1 0 0 0 0 2]
      if step = 7 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 0 0 3]
    ]
    
    if linked-trip-number = 2 [ 
      if step = 0 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 1 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]   
      if step = 2 [unlinked-trip "walk" v-walk facility-xcor facility-ycor 0 0 0 3 0 1]  
      if step = 3 [unlinked-trip "walk" v-walk house-xcor house-ycor 0 0 0 3 0 3]
    ]
  
    if linked-trip-number = 3 [
      let closest min-one-of parkings [distancexy [destination-xcor] of myself [destination-ycor] of myself]
      set my-parking-xcor [xcor] of closest
      set my-parking-ycor [ycor] of closest
      ifelse ((mode-p = "park&walk") and (((facility-xcor - st-b-xcor) ^ 2 + (facility-ycor - st-b-ycor) ^ 2) ^ 0.5 < p-distance)) [
        if step = 0 [unlinked-trip "car" v-car my-parking-xcor my-parking-ycor 0 0 1 1 0 0]
        if step = 1 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
        if step = 2 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]   
        if step = 3 [unlinked-trip "walk" v-walk facility-xcor facility-ycor 0 0 0 3 0 1]
        if step = 4 [unlinked-trip "walk" v-walk my-parking-xcor my-parking-ycor 0 0 0 3 0 2]
        if step = 5 [unlinked-trip "car" v-car house-xcor house-ycor 0 0 0 1 0 3]
        let dist-car-3-0-f ((my-parking-xcor - house-xcor) ^ 2 + (my-parking-ycor - house-ycor) ^ 2) ^ 0.5
        let dist-car-3-5-f ((house-xcor - my-parking-xcor) ^ 2 + (house-ycor - my-parking-ycor) ^ 2) ^ 0.5
        set dist-car dist-car-3-0-f + dist-car-3-5-f
      ][
        if step = 0 [unlinked-trip "car" v-car my-parking-xcor my-parking-ycor 0 0 0 3 0 0]
        if step = 1 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 3 0 0]
        if step = 2 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]   
        if step = 3 [unlinked-trip "walk" v-walk my-parking-xcor my-parking-ycor 0 0 0 0 0 1]
        if step = 4 [unlinked-trip "car" v-car facility-xcor facility-ycor 0 0 0 1 0 1]
        if step = 5 [unlinked-trip "car" v-car house-xcor house-ycor 0 0 0 1 0 3]
        let dist-car-3-0-f ((my-parking-xcor - house-xcor) ^ 2 + (my-parking-ycor - house-ycor) ^ 2) ^ 0.5
        let dist-car-3-4-f ((facility-xcor - my-parking-xcor) ^ 2 + (facility-ycor - my-parking-ycor) ^ 2) ^ 0.5
        let dist-car-3-5-f ((house-xcor - facility-xcor) ^ 2 + (house-ycor - facility-ycor) ^ 2) ^ 0.5
        set dist-car dist-car-3-0-f + dist-car-3-4-f + dist-car-3-5-f
      ]
    ] 
  
    if linked-trip-number = 4 [
      let closest min-one-of bikelots [distancexy [destination-xcor] of myself [destination-ycor] of myself]
      set my-bikelot-xcor [xcor] of closest
      set my-bikelot-ycor [ycor] of closest
      if step = 0 [unlinked-trip "bicycle" v-bicycle my-bikelot-xcor my-bikelot-ycor 0 1 0 0 0 0]
      if step = 1 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 2 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]     
      if step = 3 [unlinked-trip "walk" v-walk my-bikelot-xcor my-bikelot-ycor 0 0 0 0 0 1]
      if step = 4 [unlinked-trip "bicycle" v-bicycle facility-xcor facility-ycor 0 0 0 3 0 1]
      if step = 5 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 3 0 3]
    ]
  
    if linked-trip-number = 5 [
      let closest min-one-of parkings [distancexy [destination-xcor] of myself [destination-ycor] of myself]
      set my-parking-xcor [xcor] of closest
      set my-parking-ycor [ycor] of closest
      ifelse ((mode-p = "park&walk") and (((facility-xcor - st-b-xcor) ^ 2 + (facility-ycor - st-b-ycor) ^ 2) ^ 0.5 < p-distance)) [ 
        if step = 0 [unlinked-trip "car" v-car house-xcor hw-ycor 0 0 0 1 0 0]
        if step = 1 [unlinked-trip "car-hi" v-car-highway my-parking-xcor hw-ycor 0 0 0 2 0 0]
        if step = 2 [unlinked-trip "car" v-car my-parking-xcor my-parking-ycor 0 0 1 1 0 0]
        if step = 3 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
        if step = 4 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]    
        if step = 5 [unlinked-trip "walk" v-walk facility-xcor facility-ycor 0 0 0 3 0 1]
        if step = 6 [unlinked-trip "walk" v-walk my-parking-xcor my-parking-ycor 0 0 0 3 0 2]
        if step = 7 [unlinked-trip "car" v-car my-parking-xcor hw-ycor 0 0 0 1 0 2]
        if step = 8 [unlinked-trip "car-hi" v-car-highway house-xcor hw-ycor 0 0 0 2 0 2]
        if step = 9 [unlinked-trip "car" v-car house-xcor house-ycor 0 0 0 1 0 3]
        let dist-car-5-0-f ((house-xcor - house-xcor) ^ 2 + (hw-ycor - house-ycor) ^ 2) ^ 0.5
        let dist-car-5-1-f ((my-parking-xcor - house-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
        let dist-car-5-2-f ((my-parking-xcor - my-parking-xcor) ^ 2 + (my-parking-ycor - hw-ycor) ^ 2) ^ 0.5
        let dist-car-5-7-f ((my-parking-xcor - my-parking-xcor) ^ 2 + (hw-ycor - my-parking-ycor) ^ 2) ^ 0.5
        let dist-car-5-8-f ((house-xcor - my-parking-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
        let dist-car-5-9-f ((house-xcor - house-xcor) ^ 2 + (house-ycor - hw-ycor) ^ 2) ^ 0.5
        set dist-car dist-car-5-0-f + dist-car-5-1-f + dist-car-5-2-f + dist-car-5-7-f + dist-car-5-8-f + dist-car-5-9-f
      ][
        if step = 0 [unlinked-trip "car" v-car house-xcor hw-ycor 0 0 0 1 0 0]
        if step = 1 [unlinked-trip "car-hi" v-car-highway my-parking-xcor hw-ycor 0 0 0 2 0 0]
        if step = 2 [unlinked-trip "car" v-car my-parking-xcor my-parking-ycor 0 0 1 1 0 0]
        if step = 3 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
        if step = 4 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]   
        if step = 5 [unlinked-trip "walk" v-walk my-parking-xcor my-parking-ycor 0 0 0 0 0 1]
        if step = 6 [unlinked-trip "car" v-car facility-xcor facility-ycor 0 0 0 1 0 1]
        if step = 7 [unlinked-trip "car" v-car facility-xcor hw-ycor 0 0 0 1 0 2]
        if step = 8 [unlinked-trip "car-hi" v-car-highway house-xcor hw-ycor 0 0 0 2 0 2]
        if step = 9 [unlinked-trip "car" v-car house-xcor house-ycor 0 0 0 1 0 3]
        let dist-car-5-0-f ((house-xcor - house-xcor) ^ 2 + (hw-ycor - house-ycor) ^ 2) ^ 0.5
        let dist-car-5-1-f ((my-parking-xcor - house-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
        let dist-car-5-2-f ((my-parking-xcor - my-parking-xcor) ^ 2 + (my-parking-ycor - hw-ycor) ^ 2) ^ 0.5
        let dist-car-5-6-f ((facility-xcor - my-parking-xcor) ^ 2 + (facility-ycor - my-parking-ycor) ^ 2) ^ 0.5
        let dist-car-5-7-f ((facility-xcor - facility-xcor) ^ 2 + (hw-ycor - facility-ycor) ^ 2) ^ 0.5
        let dist-car-5-8-f ((house-xcor - facility-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
        let dist-car-5-9-f ((house-xcor - house-xcor) ^ 2 + (house-ycor - hw-ycor) ^ 2) ^ 0.5
        set dist-car dist-car-5-0-f + dist-car-5-1-f + dist-car-5-2-f + dist-car-5-6-f + dist-car-5-7-f + dist-car-5-8-f + dist-car-5-9-f
      ]
    ] 
  
    if linked-trip-number = 6 [
      if step = 0 [unlinked-trip "bicycle" v-bicycle destination-xcor destination-ycor 0 0 0 0 1 0]    
      if step = 1 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]   
      if step = 2 [unlinked-trip "bicycle" v-bicycle facility-xcor facility-ycor 0 0 0 3 0 1]
      if step = 3 [unlinked-trip "bicycle" v-bicycle house-xcor house-ycor 0 0 0 3 0 3]
    ]
  
    if linked-trip-number = 7 [
      if step = 0 [unlinked-trip "walk" v-walk st-a-xcor st-a-ycor 0 0 0 0 0 0]
      if step = 1 [unlinked-trip "train" v-train st-b-xcor st-b-ycor 1 0 0 0 0 0]
      if step = 2 [unlinked-trip "walk" v-walk destination-xcor destination-ycor 0 0 0 0 0 0]
      if step = 3 [unlinked-trip "office" 0 0 0 0 0 0 0 0 1]               
      if step = 4 [unlinked-trip "walk" v-walk facility-xcor facility-ycor 0 0 0 3 0 1]          
      if step = 5 [unlinked-trip "walk" v-walk st-b-xcor st-b-ycor 0 0 0 3 0 1]         
      if step = 6 [unlinked-trip "train" v-train st-a-xcor st-a-ycor 1 0 0 0 0 2]
      if step = 7 [unlinked-trip "walk" v-walk house-xcor house-ycor 0 0 0 0 0 3]
    ]
  ]
  
  if step = "last" [
    if arrival-to-destination != "arrival" [
      set c-time eta-t * t-total
      set c-money bikelot-flag * c-bikelot + parking-flag * c-parking + train-flag * c-train-fare * 2 + *c-gass * c-gass * dist-car + removal-flag * c-remove
      set c-fatigue f-walk * t-walk + f-bicycle * t-bicycle + f-train * t-train + f-car * t-car + f-congestion
      set cost pref-money * c-money + pref-time * c-time + pref-fatigue * c-fatigue - pref-bustle * bustle-degree
      
      ifelse house-search = "no-house-search" [ 
        let v alpha * -1 * cost + (1 - alpha) * (item linked-trip-number vlist)
        set vlist replace-item linked-trip-number vlist v
      ][
        let den-h 0
        let den-m 0
        ask patch house-xcor house-ycor [
          set den-h count patches with [pcolor = green] in-radius (area * 1)
          set den-m count patches with [pcolor = blue] in-radius (area * 1)
        ]
        set house-prediction-cost cost + (eta-r * (den-h + rate-m * den-m) * size-of-home / ((area ^ 2) * pi)) * 2 * (1000 / n-people) * (10000 / n-people)
      ]
    ]
    set arrival-to-destination "arrival"
  ]
  
end


to unlinked-trip [t-type velocity dest-xcor dest-ycor train-check bikelot-check parking-check congestion-check bikelot-illegal-check arrival-flag]
  set my-t-type t-type
  set my-arrival-flag arrival-flag
  set my-dest-xcor dest-xcor
  set my-dest-ycor dest-ycor
  
  ifelse t-type = "office" [
    set arrival-to-office "arrival"
  ][ ;office以外の通常処理
    facexy dest-xcor dest-ycor
    if congestion-check = 0 [
      set my-velocity velocity
      forward my-velocity 
    ]
    if congestion-check = 1 [  
      congestion velocity
    ] 
    if congestion-check = 2 [
      congestion-hi velocity
    ]   
    if congestion-check = 3 [
      bustle velocity
    ]
    
    if distancexy dest-xcor dest-ycor <= my-velocity [
      set start-time-list replace-item (step + 1) start-time-list ticks
      if t-type = "walk" [
        set t-walk t-walk + (item (step + 1) start-time-list) - (item step start-time-list)
      ]
      if t-type = "bicycle" [
        set t-bicycle t-bicycle + (item (step + 1) start-time-list) - (item step start-time-list)
      ]
      if t-type = "train" [
        set t-train t-train + (item (step + 1) start-time-list) - (item step start-time-list)
      ] 
      if t-type = "car" [
        set t-car t-car + (item (step + 1) start-time-list) - (item step start-time-list)
      ]
      
      set t-total t-walk + t-bicycle + t-train + t-car ;141111
      
      if train-check = 1 [
        set train-flag 1
      ]
      if bikelot-check = 1 [
        set bikelot-flag 1
      ]
      if parking-check = 1 [
        set parking-flag 1
      ]
      if bikelot-illegal-check = 1 [
        ifelse p-remove > random-float 1 [
          set removal-flag 1
        ][
          set removal-flag 0
        ]
      ]    
      set step step + 1  
      if arrival-flag = 3 [set step "last"]
    ]
  ]
end


to congestion [velocity]
  let density (count people with [my-t-type = "car"] in-radius (area * 1.5) - 1)
  ifelse density >= d0 [
    let velocity-cong max (list (velocity * (1 - density * 0.1)) (velocity * (1 / 3)))
    set my-velocity velocity-cong
    ifelse mode-p = "park&walk" [
      ifelse distancexy st-b-xcor st-b-ycor <= (p-distance + 0) [
        ifelse my-arrival-flag = 0 [
          facexy st-b-xcor st-b-ycor
          let s (st-b-xcor - xcor) * (my-dest-ycor - ycor) - (st-b-ycor - ycor) * (my-dest-xcor - xcor)
          ;show s
          ifelse s <= 0 [
            right 90
            forward my-velocity
            let f-cong-per-min min (list (f-car * density * 0.1) (f-car * 1))
            set f-congestion f-congestion + f-cong-per-min
          ][
            left 90
            forward my-velocity
            let f-cong-per-min min (list (f-car * density * 0.1) (f-car * 1))
            set f-congestion f-congestion + f-cong-per-min
          ] 
        ][ ;帰り
          facexy st-b-xcor st-b-ycor
          let s (st-b-xcor - xcor) * (my-dest-ycor - ycor) - (st-b-ycor - ycor) * (my-dest-xcor - xcor)
          ifelse s <= 0 [
            right 90
            forward my-velocity
            let f-cong-per-min min (list (f-car * density * 0.1) (f-car * 1))
            set f-congestion f-congestion + f-cong-per-min
          ][
            left 90
            forward my-velocity
            let f-cong-per-min min (list (f-car * density * 0.1) (f-car * 1))
            set f-congestion f-congestion + f-cong-per-min
          ]
        ]
      ][
        forward my-velocity
        let f-cong-per-min min (list (f-car * density * 0.1) (f-car * 1))
        set f-congestion f-congestion + f-cong-per-min
      ]
    ][
      forward my-velocity
      let f-cong-per-min min (list (f-car * density * 0.1) (f-car * 1))
      set f-congestion f-congestion + f-cong-per-min
    ]
  ][
    set my-velocity velocity
    ifelse mode-p = "park&walk" [
      ifelse distancexy st-b-xcor st-b-ycor <= (p-distance + 0) [
        ifelse my-arrival-flag = 0 [ ;行き
          facexy st-b-xcor st-b-ycor
          let s (st-b-xcor - xcor) * (my-dest-ycor - ycor) - (st-b-ycor - ycor) * (my-dest-xcor - xcor)
          ifelse s <= 0 [
            right 90
            forward my-velocity
          ][
            left 90
            forward my-velocity
          ] 
        ][ ;帰り
          facexy st-b-xcor st-b-ycor
          let s (st-b-xcor - xcor) * (my-dest-ycor - ycor) - (st-b-ycor - ycor) * (my-dest-xcor - xcor)
          ifelse s <= 0 [
            right 90
            forward my-velocity
          ][
            left 90
            forward my-velocity
          ]
        ]
      ][
        forward my-velocity
      ]
    ][
      forward my-velocity
    ]
  ]
end


to congestion-hi [velocity] 
  let density (count people with [my-t-type = "car-hi"] in-radius (area * 1.5) - 1) ;141009 半径150m以内のcarの数（自分を141003含まない）1agtが10台に相当
  ;show density
  ;show count people in-radius (area * 1.5) 
  ifelse density >= d0 
  [
    let velocity-cong max (list (velocity * (1 - density * 0.1)) (velocity * (1 / 3)))
    set my-velocity velocity-cong
    forward my-velocity
    let f-cong-per-min min (list (f-car * density * 0.1) (f-car * 1))
    set f-congestion f-congestion + f-cong-per-min
  ][
    set my-velocity velocity
    forward my-velocity
  ]
end


to bustle [velocity] 
  set my-velocity velocity
  forward my-velocity
  if distancexy facility-xcor facility-ycor <= bst-impact-dist [
    let density-walk count people with [my-t-type = "walk" and (((facility-xcor - xcor) ^ 2 + (facility-ycor - ycor) ^ 2 ) ^ 0.5) <= bst-impact-dist] in-radius (area * 1) ;141117 半径100m以内の徒歩のpeople数（自分を含む）
    let density-bicycle count people with [my-t-type = "bicycle" and (((facility-xcor - xcor) ^ 2 + (facility-ycor - ycor) ^ 2 ) ^ 0.5) <= bst-impact-dist] in-radius (area * 1) ;141117 半径100m以内の自転車のpeople数（自分を含む）
    let density density-walk + density-bicycle - 1
    let bst-dgr-per-min min (list (density * coeff-for-bst-dgr) (coeff-for-bst-dgr * 100))
    set bustle-degree bustle-degree + bst-dgr-per-min
  ]
end


to arrival-to-office-check
  if count people with [arrival-to-office = "arrival"] >= n-people [
    ask people [
      set start-time-list replace-item (step + 1) start-time-list ticks
      set arrival-to-office ""
      set step step + 1
    ]
  ]
end


to arrival-check [house-search]
   if count people with [arrival-to-destination = "arrival"] >= n-people [
     e-greedy
     set days days + 1
     ask people [trip-setup]
  ]
end
 
to trip-setup    
   setxy house-xcor house-ycor
   set train-flag 0
   set bikelot-flag 0
   set parking-flag 0
   set removal-flag 0
   set arrival-to-destination ""
   set step 0
   set start-time-list n-values 20 [0]
   set start-time-list replace-item 0 start-time-list ticks
   set t-walk 0
   set t-bicycle 0
   set t-car 0
   set t-train 0
   set dist-car 0
   set f-congestion 0
   set my-arrival-flag 0
   set bustle-degree 0
end


to e-greedy
  ask people [
    ifelse epsilon > random-float 1 [
      set linked-trip-number random 8
      if mode-p = "park&walk" [
        if ((st-b-xcor - house-xcor) ^ 2 + (st-b-ycor - house-ycor) ^ 2) ^ 0.5 <= p-distance[
          if linked-trip-number = 3 or linked-trip-number = 5 [
            let limit-prob random-float 1
            if 0 <= limit-prob and limit-prob < 1 / 6 [set linked-trip-number 0]
            if 1 / 6 <= limit-prob and limit-prob < 2 / 6 [set linked-trip-number 1]
            if 2 / 6 <= limit-prob and limit-prob < 3 / 6 [set linked-trip-number 2]
            if 3 / 6 <= limit-prob and limit-prob < 4 / 6 [set linked-trip-number 4]
            if 4 / 6 <= limit-prob and limit-prob < 5 / 6 [set linked-trip-number 6]
            if 5 / 6 <= limit-prob and limit-prob < 1 [set linked-trip-number 7]
          ]
        ]
      ]
    ][
      set linked-trip-number position max(vlist) vlist
      if mode-p = "park&walk" [
        if ((st-b-xcor - house-xcor) ^ 2 + (st-b-ycor - house-ycor) ^ 2) ^ 0.5 <= p-distance[
          if linked-trip-number = 3 or linked-trip-number = 5 [
            let limit-prob random-float 1
            if 0 <= limit-prob and limit-prob < 1 / 6 [set linked-trip-number 0]
            if 1 / 6 <= limit-prob and limit-prob < 2 / 6 [set linked-trip-number 1]
            if 2 / 6 <= limit-prob and limit-prob < 3 / 6 [set linked-trip-number 2]
            if 3 / 6 <= limit-prob and limit-prob < 4 / 6 [set linked-trip-number 4]
            if 4 / 6 <= limit-prob and limit-prob < 5 / 6 [set linked-trip-number 6]
            if 5 / 6 <= limit-prob and limit-prob < 1 [set linked-trip-number 7]
          ]
        ]
      ]
    ]
  ]
  set epsilon gamma * epsilon
end


to habitation-selection
  if days >= days-of-habitation-selection[
    if habitation-selection-flag = 0 [
      ask people [
        set moving-candidate 0 
      ]
      
      set center-of-house-xcor mean [house-xcor] of people
      set center-of-house-ycor mean [house-ycor] of people
      set sd-of-house-xcor standard-deviation [house-xcor] of people
      set sd-of-house-ycor standard-deviation [house-ycor] of people
      set candidate-i 0
      
      ask n-of int(n-people / 10) people[
        set moving-candidate 1
        set house-prediction-cost-list n-values number-of-candidate [0]
        set house-candidate-xcor n-values number-of-candidate [0]
        set house-candidate-ycor n-values number-of-candidate [0]
        set temp-t-total-list n-values number-of-candidate [0]
        set color pink

        ask patch house-xcor house-ycor [set pcolor black]
        let i 0
        while [i < number-of-candidate][
          let temporary-house-xcor limited-random-xcor center-of-house-xcor (coeff-for-sd-of-h * sd-of-house-xcor)
          let temporary-house-ycor limited-random-ycor center-of-house-ycor (coeff-for-sd-of-h * sd-of-house-xcor)
          set house-candidate-xcor replace-item i house-candidate-xcor temporary-house-xcor
          set house-candidate-ycor replace-item i house-candidate-ycor temporary-house-ycor
          ifelse (mode-p = "park&walk") and (linked-trip-number = 3 or linked-trip-number = 5) and (((st-b-xcor - temporary-house-xcor) ^ 2 + (st-b-ycor - temporary-house-ycor) ^ 2) ^ 0.5 <= p-distance)[
            set i i
          ][
            set i i + 1
          ]     
        ]  
      ]
      
      ask people with [moving-candidate = 1][
        set house-xcor (item candidate-i house-candidate-xcor) 
        set house-ycor (item candidate-i house-candidate-ycor)
        setxy house-xcor house-ycor
      ]
      set habitation-selection-flag 1
    ]

    ask people[
      linked-trip "house-search"
    ]
    
    arrival-to-office-check
      
    if count people with [arrival-to-destination = "arrival"] >= n-people [
      ask people [
        trip-setup
      ]
      ask people[
        set final-t-total t-total
      ]   
      ask people with [moving-candidate = 1][
        set house-prediction-cost-list replace-item candidate-i house-prediction-cost-list house-prediction-cost
        set temp-t-total-list replace-item candidate-i temp-t-total-list t-total
      ]

      set candidate-i candidate-i + 1
      ifelse candidate-i < number-of-candidate [ 
        ask people with [moving-candidate = 1][
          set house-xcor (item candidate-i house-candidate-xcor) 
          set house-ycor (item candidate-i house-candidate-ycor) 
          setxy house-xcor house-ycor
        ]
      ][
        show (word "最小のコストになる居住地に転居 " (count-of-moving + 1))
        ask people with [moving-candidate = 1][
          set min-prediction-cost-number position min(house-prediction-cost-list) house-prediction-cost-list
          set house-xcor (item min-prediction-cost-number house-candidate-xcor)
          set house-ycor (item min-prediction-cost-number house-candidate-ycor)      
          set house-prediction-cost 0    
          ask patch house-xcor house-ycor [set pcolor green]
          set color white
          set final-t-total (item min-prediction-cost-number temp-t-total-list)
        ]
        
        ask people[ 
          ifelse (linked-trip-number = 3 or linked-trip-number = 5)[
            if mode-f = "no-facility"[
              if linked-trip-number = 3[
                let dist-car-3-0 ((my-parking-xcor - house-xcor) ^ 2 + (my-parking-ycor - house-ycor) ^ 2) ^ 0.5
                let dist-car-3-4 ((house-xcor - my-parking-xcor) ^ 2 + (house-ycor - my-parking-ycor) ^ 2) ^ 0.5
                set my-car-moving dist-car-3-0 + dist-car-3-4 
              ]
              if linked-trip-number = 5[
                let dist-car-5-0 ((house-xcor - house-xcor) ^ 2 + (hw-ycor - house-ycor) ^ 2) ^ 0.5
                let dist-car-5-1 ((my-parking-xcor - house-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
                let dist-car-5-2 ((my-parking-xcor - my-parking-xcor) ^ 2 + (my-parking-ycor - hw-ycor) ^ 2) ^ 0.5
                let dist-car-5-6 ((my-parking-xcor - my-parking-xcor) ^ 2 + (hw-ycor - my-parking-ycor) ^ 2) ^ 0.5
                let dist-car-5-7 ((house-xcor - my-parking-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
                let dist-car-5-8 ((house-xcor - house-xcor) ^ 2 + (house-ycor - hw-ycor) ^ 2) ^ 0.5
                set my-car-moving dist-car-5-0 + dist-car-5-1 + dist-car-5-2 + dist-car-5-6 + dist-car-5-7 + dist-car-5-8 
              ]
            ]
            if mode-f = "facility"[
              if linked-trip-number = 3[
                ifelse ((facility-xcor - st-b-xcor) ^ 2 + (facility-ycor - st-b-ycor) ^ 2) ^ 0.5 < p-distance[
                  let dist-car-3-0-f ((my-parking-xcor - house-xcor) ^ 2 + (my-parking-ycor - house-ycor) ^ 2) ^ 0.5
                  let dist-car-3-5-f ((house-xcor - my-parking-xcor) ^ 2 + (house-ycor - my-parking-ycor) ^ 2) ^ 0.5
                  set my-car-moving dist-car-3-0-f + dist-car-3-5-f
                ][
                  let dist-car-3-0-f ((my-parking-xcor - house-xcor) ^ 2 + (my-parking-ycor - house-ycor) ^ 2) ^ 0.5
                  let dist-car-3-4-f ((facility-xcor - my-parking-xcor) ^ 2 + (facility-ycor - my-parking-ycor) ^ 2) ^ 0.5
                  let dist-car-3-5-f ((house-xcor - facility-xcor) ^ 2 + (house-ycor - facility-ycor) ^ 2) ^ 0.5
                  set my-car-moving dist-car-3-0-f + dist-car-3-4-f + dist-car-3-5-f
                ]
              ]
              if linked-trip-number = 5[
                ifelse ((facility-xcor - st-b-xcor) ^ 2 + (facility-ycor - st-b-ycor) ^ 2) ^ 0.5 < p-distance[
                  let dist-car-5-0-f ((house-xcor - house-xcor) ^ 2 + (hw-ycor - house-ycor) ^ 2) ^ 0.5
                  let dist-car-5-1-f ((my-parking-xcor - house-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
                  let dist-car-5-2-f ((my-parking-xcor - my-parking-xcor) ^ 2 + (my-parking-ycor - hw-ycor) ^ 2) ^ 0.5
                  let dist-car-5-7-f ((my-parking-xcor - my-parking-xcor) ^ 2 + (hw-ycor - my-parking-ycor) ^ 2) ^ 0.5
                  let dist-car-5-8-f ((house-xcor - my-parking-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
                  let dist-car-5-9-f ((house-xcor - house-xcor) ^ 2 + (house-ycor - hw-ycor) ^ 2) ^ 0.5
                  set my-car-moving dist-car-5-0-f + dist-car-5-1-f + dist-car-5-2-f + dist-car-5-7-f + dist-car-5-8-f + dist-car-5-9-f
                ][
                  let dist-car-5-0-f ((house-xcor - house-xcor) ^ 2 + (hw-ycor - house-ycor) ^ 2) ^ 0.5
                  let dist-car-5-1-f ((my-parking-xcor - house-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
                  let dist-car-5-2-f ((my-parking-xcor - my-parking-xcor) ^ 2 + (my-parking-ycor - hw-ycor) ^ 2) ^ 0.5
                  let dist-car-5-6-f ((facility-xcor - my-parking-xcor) ^ 2 + (facility-ycor - my-parking-ycor) ^ 2) ^ 0.5
                  let dist-car-5-7-f ((facility-xcor - facility-xcor) ^ 2 + (hw-ycor - facility-ycor) ^ 2) ^ 0.5
                  let dist-car-5-8-f ((house-xcor - facility-xcor) ^ 2 + (hw-ycor - hw-ycor) ^ 2) ^ 0.5
                  let dist-car-5-9-f ((house-xcor - house-xcor) ^ 2 + (house-ycor - hw-ycor) ^ 2) ^ 0.5
                  set my-car-moving dist-car-5-0-f + dist-car-5-1-f + dist-car-5-2-f + dist-car-5-6-f + dist-car-5-7-f + dist-car-5-8-f + dist-car-5-9-f
                ]
              ]
            ] 
          ][
            set my-car-moving 0
          ]
        ]
        
        ask people[
          ifelse mode-f = "facility"[
            if linked-trip-number = 2[
              let dist-2-go min (list bst-impact-dist ((((facility-xcor - destination-xcor) ^ 2) + ((facility-ycor - destination-ycor) ^ 2)) ^ 0.5))
              let dist-2-bk min (list bst-impact-dist ((((house-xcor - facility-xcor) ^ 2) + ((house-ycor - facility-ycor) ^ 2)) ^ 0.5))
              set t-around-f (dist-2-go + dist-2-bk) / v-walk
            ]
            if linked-trip-number = 4[
              let dist-4-go min (list bst-impact-dist ((((facility-xcor - my-bikelot-xcor) ^ 2) + ((facility-ycor - my-bikelot-ycor) ^ 2)) ^ 0.5))
              let dist-4-bk min (list bst-impact-dist ((((house-xcor - facility-xcor) ^ 2) + ((house-ycor - facility-ycor) ^ 2)) ^ 0.5))
              set t-around-f (dist-4-go + dist-4-bk) / v-bicycle
            ]
            if linked-trip-number = 6[
              let dist-6-go min (list bst-impact-dist ((((facility-xcor - my-bikelot-xcor) ^ 2) + ((facility-ycor - my-bikelot-ycor) ^ 2)) ^ 0.5))
              let dist-6-bk min (list bst-impact-dist ((((house-xcor - facility-xcor) ^ 2) + ((house-ycor - facility-ycor) ^ 2)) ^ 0.5))
              set t-around-f (dist-6-go + dist-6-bk) / v-bicycle
            ]
            if (linked-trip-number = 0 or linked-trip-number = 1 or linked-trip-number = 7)[
              let dist-017-go min (list bst-impact-dist ((((facility-xcor - destination-xcor) ^ 2) + ((facility-ycor - destination-ycor) ^ 2)) ^ 0.5))
              let dist-017-bk min (list bst-impact-dist ((((st-b-xcor - facility-xcor) ^ 2) + ((st-b-ycor - facility-ycor) ^ 2)) ^ 0.5))
              set t-around-f (dist-017-go + dist-017-bk) / v-walk
            ]
            if (linked-trip-number = 3 or linked-trip-number = 5)[
              ifelse (mode-p = "park&walk") and (((facility-xcor - st-b-xcor) ^ 2 + (facility-ycor - st-b-ycor) ^ 2) ^ 0.5 < p-distance)[
                let dist-35-go min (list bst-impact-dist ((((facility-xcor - destination-xcor) ^ 2) + ((facility-ycor - destination-ycor) ^ 2)) ^ 0.5))
                let dist-35-bk min (list bst-impact-dist ((((my-parking-xcor - facility-xcor) ^ 2) + ((my-parking-ycor - facility-ycor) ^ 2)) ^ 0.5))
                set t-around-f (dist-35-go + dist-35-bk) / v-walk
              ][
                set t-around-f 0
              ]
            ]
          ][
            set t-around-f 0
          ]
        ]
        
        set days 0
        set count-of-moving count-of-moving + 1
        set epsilon 0.5
        ask patch st-a-xcor st-a-ycor [set pcolor red]
        ask patch st-b-xcor st-b-ycor [set pcolor red]
        set habitation-selection-flag 0
      ]
    ]
  ]
end
@#$#@#$#@
GRAPHICS-WINDOW
505
10
1159
685
80
80
4.0
1
10
1
1
1
0
0
0
1
-80
80
-80
80
0
0
1
ticks
30.0

BUTTON
5
10
75
50
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
75
10
145
50
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

PLOT
0
270
500
495
Totals
time
totals
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"0-train-bk" 1.0 0 -13840069 true "" "plot count people with [linked-trip-number = 0]"
"1-train-il" 1.0 0 -11085214 true "" "plot count people with [linked-trip-number = 1]"
"2-walk" 1.0 0 -13345367 true "" "plot count people with [linked-trip-number = 2]"
"3-car" 1.0 0 -2674135 true "" "plot count people with [linked-trip-number = 3]"
"4-bike" 1.0 0 -955883 true "" "plot count people with [linked-trip-number = 4]"
"5-car-hi" 1.0 0 -2064490 true "" "plot count people with [linked-trip-number = 5]"
"6-bike-il" 1.0 0 -1184463 true "" "plot count people with [linked-trip-number = 6]"
"7-train-wk" 1.0 0 -10899396 true "" "plot count people with [linked-trip-number = 7]"

BUTTON
150
10
210
50
go once
go\n
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

INPUTBOX
5
55
75
115
n-people
1000
1
0
Number

MONITOR
210
495
260
540
1-b*Tw
count people with [linked-trip-number = 1]
17
1
11

MONITOR
10
495
60
540
2-W
count people with [linked-trip-number = 2]
17
1
11

MONITOR
160
495
210
540
0-bTw
count people with [linked-trip-number = 0]
17
1
11

MONITOR
310
495
360
540
3-Cw
count people with [linked-trip-number = 3]
17
1
11

MONITOR
60
495
110
540
4-Bw
count people with [linked-trip-number = 4]
17
1
11

MONITOR
360
495
410
540
5-cCHw
count people with [linked-trip-number = 5]
17
1
11

MONITOR
110
495
160
540
6-B*
count people with [linked-trip-number = 6]
17
1
11

MONITOR
260
495
310
540
7-wTw
count people with [linked-trip-number = 7]
17
1
11

PLOT
0
120
305
270
Cost
NIL
NIL
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot sum [cost] of people"

SLIDER
305
10
400
43
*c-gass
*c-gass
0
100
1
1
1
NIL
HORIZONTAL

INPUTBOX
190
55
250
115
n-moving
20
1
0
Number

INPUTBOX
75
55
135
115
d-habit
30
1
0
Number

INPUTBOX
135
55
190
115
n-candi
10
1
0
Number

INPUTBOX
250
55
305
115
d-size
1
1
0
Number

CHOOSER
402
95
497
140
f-location
f-location
"B" "C" "D" "E" "free"
4

SLIDER
402
140
497
173
coeff-for-bst-dgr
coeff-for-bst-dgr
0
50
0
5
1
NIL
HORIZONTAL

MONITOR
0
585
80
630
ctr-of-h-xcor
center-of-house-xcor
3
1
11

CHOOSER
402
50
497
95
mode-f
mode-f
"no-facility" "facility"
0

SLIDER
373
235
465
268
f-xcor
f-xcor
-40
40
0
5
1
NIL
HORIZONTAL

SLIDER
465
175
498
267
f-ycor
f-ycor
-40
40
0
5
1
NIL
VERTICAL

MONITOR
80
585
160
630
ctr-of-h-ycor
center-of-house-ycor
3
1
11

CHOOSER
213
10
305
55
people-fig
people-fig
"visible" "invisible"
1

INPUTBOX
240
635
305
695
pref-money
1
1
0
Number

INPUTBOX
370
635
435
695
pref-fatigue
1
1
0
Number

INPUTBOX
305
635
370
695
pref-time
1
1
0
Number

MONITOR
160
540
310
585
ratio-train
ratio-train
3
1
11

MONITOR
0
540
60
585
ratio-walk
ratio-walk
3
1
11

MONITOR
60
540
160
585
ratio-bike
ratio-bike
3
1
11

MONITOR
310
540
410
585
ratio-car
ratio-car
3
1
11

SLIDER
110
635
215
668
rate-m
rate-m
1
10
10
1
1
NIL
HORIZONTAL

SLIDER
0
635
105
668
coeff-for-sd-of-h
coeff-for-sd-of-h
1
2
1.5
0.05
1
NIL
HORIZONTAL

MONITOR
165
585
242
630
sd-of-h-xcor
sd-of-house-xcor
3
1
11

MONITOR
240
585
317
630
sd-of-h-xcor
sd-of-house-ycor
3
1
11

SLIDER
305
50
400
83
*v-bike
*v-bike
1
2
1
0.1
1
NIL
HORIZONTAL

INPUTBOX
435
635
500
695
pref-bustle
1
1
0
Number

SLIDER
305
80
400
113
*f-bike
*f-bike
0.1
1
1
0.01
1
NIL
HORIZONTAL

CHOOSER
305
120
400
165
mode-p
mode-p
"normal-dist" "park&walk"
0

SLIDER
402
10
497
43
hw-ycor
hw-ycor
-40
40
5
5
1
NIL
HORIZONTAL

SLIDER
305
165
400
198
p-distance
p-distance
0
20
15
5
1
NIL
HORIZONTAL

MONITOR
415
495
500
540
sum of car-mov
sum [my-car-moving] of people
2
1
11

MONITOR
415
540
500
585
avg-of-t-mov
(sum [final-t-total] of people) / n-people
2
1
11

MONITOR
415
585
500
630
avg-of-t-arnd-f
(sum [t-around-f] of people) / n-people
2
1
11

@#$#@#$#@
## WHAT IS IT?

にぎわいを考慮した住宅配置問題

## HOW IT WORKS

施設なし、施設有りを実験可能
居住者は、毎日通勤
コストを最小にするような通勤手段を選び、一定確率で望ましい場所へ転居する

## HOW TO USE IT

mode:     no-facility施設なしで片道通勤,　facility 施設立ち寄りして往復通勤 
location: 施設の配置場所　１駅左、２駅、３駅右
n-people: 人数
n-moving: 転居回数
d-habit:  転居するまでの通勤日数
n-candi:  転居先候補数
c-gass:   ガソリン単価
f-bustle-degree: にぎわい度変換係数（周囲の人数に対する係数）



## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
0
Rectangle -7500403 true true 151 225 180 285
Rectangle -7500403 true true 47 225 75 285
Rectangle -7500403 true true 15 75 210 225
Circle -7500403 true true 135 75 150
Circle -16777216 true false 165 76 116

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="A" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "A world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;no-facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="B" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "B world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="C" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "C world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="D" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "D world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="E" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "E world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Aa" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Aa world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;no-facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Ca" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Ca world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Da" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Da world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Ea" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Ea world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Ap" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Ap world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;no-facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Cp" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Cp world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Dp" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Dp world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Ep" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Ep world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Apa" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Apa world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;no-facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Cpa" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Cpa world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Dpa" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Dpa world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Epa" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Epa world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="-5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;park&amp;walk&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Ba" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <final>export-world "Ba world.csv"</final>
    <metric>count people with [linked-trip-number = 0]</metric>
    <metric>count people with [linked-trip-number = 1]</metric>
    <metric>count people with [linked-trip-number = 2]</metric>
    <metric>count people with [linked-trip-number = 3]</metric>
    <metric>count people with [linked-trip-number = 4]</metric>
    <metric>count people with [linked-trip-number = 5]</metric>
    <metric>count people with [linked-trip-number = 6]</metric>
    <metric>count people with [linked-trip-number = 7]</metric>
    <metric>sum [cost] of people</metric>
    <metric>center-of-house-xcor</metric>
    <metric>center-of-house-ycor</metric>
    <metric>sd-of-house-xcor</metric>
    <metric>sd-of-house-ycor</metric>
    <metric>(sum [final-t-total] of people) / n-people</metric>
    <metric>(sum [t-around-f] of people) / n-people</metric>
    <metric>sum [my-car-moving] of people</metric>
    <enumeratedValueSet variable="n-people">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-habit">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-candi">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="n-moving">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="d-size">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-f">
      <value value="&quot;facility&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-location">
      <value value="&quot;free&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-xcor">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="f-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-bst-dgr">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*c-gass">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*v-bike">
      <value value="1.2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="*f-bike">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mode-p">
      <value value="&quot;normal-dist&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="p-distance">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="hw-ycor">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="coeff-for-sd-of-h">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="rate-m">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="people-fig">
      <value value="&quot;invisible&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-money">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-time">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-fatigue">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pref-bustle">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
1
@#$#@#$#@
